<?php 
	/**
	 * Single setting section 
	 */
	// Single setting section 
	$wp_customize->add_section(
		'blog_cafe_single_settings',
		array(
			'title' => esc_html__( 'Single Posts', 'blog-cafe' ),
			'description' => esc_html__( 'Settings for all single posts.', 'blog-cafe' ),
			'panel' => 'blog_cafe_general_panel',
		)
	);

	
	// Category enable setting
	$wp_customize->add_setting(
		'blog_cafe_enable_single_category',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_enable_single_category',
		array(
			'section'		=> 'blog_cafe_single_settings',
			'label'			=> esc_html__( 'Enable categories.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'blog_cafe_enable_single_date',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_enable_single_date',
		array(
			'section'		=> 'blog_cafe_single_settings',
			'label'			=> esc_html__( 'Enable Date.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);


	// Author enable setting
	$wp_customize->add_setting(
		'blog_cafe_enable_single_author',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_enable_single_author',
		array(
			'section'		=> 'blog_cafe_single_settings',
			'label'			=> esc_html__( 'Enable Author.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);

	// Tag enable setting
	$wp_customize->add_setting(
		'blog_cafe_enable_single_tag',
		array(
			'sanitize_callback' => 'blog_cafe_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'blog_cafe_enable_single_tag',
		array(
			'section'		=> 'blog_cafe_single_settings',
			'label'			=> esc_html__( 'Enable tags.', 'blog-cafe' ),
			'type'			=> 'checkbox',
		)
	);

?>